<header>
  <h1>
    {{
      'shared.form.header.title.' + (isUpdate ? 'update' : 'create') | translate: { resource: ('shared.resources.shared-link' | translate) }
    }}
  </h1>
</header>
<section>
  <form *ngIf="formGroup" [formGroup]="formGroup" (ngSubmit)="submit()">
    <mat-form-field appearance="fill" formGroupName="sharedList">
      <mat-label>{{ 'shared.form.content.fields.label' | translate }}</mat-label>
      <input type="text" matInput sfl-focus formControlName="label" required />
      <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
    </mat-form-field>

    <button type="submit" sfl-button [disabled]="isSubmit">
      {{ 'shared.form.actions.' + (isUpdate ? 'update' : 'create') | translate }}
    </button>
  </form>
</section>
